'use strict';

var bvApp = angular.module('bvApp', ['ui.router', 'ngSanitize','ngAnimate','ngTouch']);

bvApp.config(['$stateProvider','$urlRouterProvider',
    function ($stateProvider, $urlRouterProvider) {
        $urlRouterProvider.otherwise("/about");
        $stateProvider
            .state('about', {
                url: "/about",
                templateUrl: 'views/about.html',
                controller: 'mainController'
            })
            .state('servicesContent', {
                url: "/servicesContent",
                templateUrl: 'views/servicesContent.html',
                controller: 'mainController'
            })
            .state('technology', {
                url: "/technology",
                templateUrl: 'views/technology.html',
                controller: 'mainController'
            })
            .state('technologyList', {
                url: "/technologyList",
                templateUrl: 'views/technologyList.html',
                controller: 'mainController'
            })
            .state('industries', {
                url: "/industries",
                templateUrl: 'views/industry.html',
                controller: 'mainController'
            })
            .state('product', {
                url: "/product",
                templateUrl: 'views/product.html',
                controller: 'mainController'
            })
            .state('innerContent', {
                url: "/innerContent",
                templateUrl: 'views/innerContent.html',
                controller: 'mainController'
            })
            .state('ouroffices', {
                url: "/ouroffices",
                templateUrl: 'views/ouroffices.html',
                controller: 'mainController'
            })
             .state('portfolio', {
                url: "/portfolio",
                templateUrl: 'views/portfolio.html',
                controller: 'mainController'
            })
            .state('appList', {
                url: "/appList",
                templateUrl: 'views/appList.html',
                controller: 'mainController'
            })
            .state('appContent',{
                url: "/appContent",
                templateUrl: 'views/appContent.html',
                controller: 'mainController'
            })
            .state('rqstQuote', {
                url: "/rqstQuote",
                templateUrl: 'views/rqstQuote.html',
                controller: 'mainController'
            })
    }
]);

bvApp.controller('headerCtrl', ['$scope', '$http', '$rootScope', '$location','$state',
    function ($scope, $http, $rootScope, $location, $state) {
        $(".exit-popup-background, .confirm-popup-exit").hide();
        $rootScope.showSidebar = false;
        $rootScope.showList = false;
        $rootScope.headerText = "Home";
        $rootScope.menuLinkImg = false;
        $rootScope.techImg = true;
        $rootScope.industryImg = true;
        $rootScope.portImg = true;
        $rootScope.prodImg = true;
        $rootScope.contactImg = true;
        $rootScope.rqstImg = true;
        document.addEventListener("deviceready", onDeviceReady, false);
        function onDeviceReady(){
            document.addEventListener("backbutton", function (e) {
                if($rootScope.showSidebar && !$rootScope.showList){
                    $scope.closeSidebar();
                }
                else if($rootScope.showList && !$rootScope.showSidebar){
                    $rootScope.showList = false;
                    $(".innerslider").hide();
                    $('header').css('z-index',15);
                    $('.wrapper').removeClass('ovh');
                }
                else if($rootScope.showSidebar && $rootScope.showList){
                    $scope.closeSidebar();
                }
                else if(!$rootScope.showSidebar && !$rootScope.showList){
                    if($rootScope.currentLocation == "about"){
                        e.preventDefault();
                        navigator.app.exitApp();
                    }
                    else{
                        $scope.goBack();
                    }
                }
            });
        }
        $scope.openSidebar = function(){
            $rootScope.showSidebar = true;
            $('.sidebar-background').show();
            $('.menuContainer').animate({
                right: '0%'
            },200);
            $('.wrapper').addClass('ovh');
        }
        $scope.closeSidebar = function(){
            $rootScope.showSidebar = false;
            $('.menuContainer').animate({
                right: '-80%'
            },200);
            $('.sidebar-background').hide();
            $('.wrapper').removeClass('ovh');
            $('.menuListContainer').animate({
                scrollTop: 0
            }, 100);
        }
        $scope.redirectTo = function (redirectTo) {
            switch(redirectTo) {
                case 'about':
                    $rootScope.techImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.homeImg = false; 
                    $('.menu-option-text').css('color','#989898');
                    $('.homeLink').css('color','#00abe2');
                break;
                case 'technology':
                    $rootScope.homeImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.techImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.techLink').css('color','#00abe2');
                break;
                case 'industries':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.industryImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.industryLink').css('color','#00abe2');
                break;
                case 'portfolio':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.portImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.portLink').css('color','#00abe2');
                break;
                case 'product':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.portImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.prodImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.prodLink').css('color','#00abe2');
                break;
                case 'ouroffices':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.contactImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.contactLink').css('color','#00abe2');
                break;
                case 'rqstQuote':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.rqstImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.rqstLink').css('color','#00abe2');
                break;
            }
            $scope.closeSidebar();
            $location.path('/' + redirectTo);
        }
        $scope.goBack = function () {
            if($rootScope.currentLocation == 'technologyList' || $rootScope.currentLocation == 'innerContent' || $rootScope.currentLocation == 'appList' || $rootScope.currentLocation == 'appContent'){
                window.history.back();
            }
            else{
                $state.go('about');
            }
        }
        $scope.gotoLink = function(){
            var ref = window.open('http://www.brainvire.com/', '_system', 'location=yes');
        }
        $('.exit-app').on('click', function(){
            navigator.app.exitApp();
        });
        $('.closeExitPopup').on('click', function(){
            $(".exit-popup-background, .confirm-popup-exit").hide();
            $('.wrapper').removeClass('ovh');
        });
    }
]);

bvApp.controller('mainController', ['$scope', '$http', '$rootScope', '$location', '$timeout',
    function ($scope, $http, $rootScope, $location, $timeout) {
        var deviceHeight = parseInt($(window).height());
        var wrapperHeight = deviceHeight - 50;
        $('.wrapper').css('height',wrapperHeight);
        $("html,body").click(function (e) {
            e.stopPropagation();
            $(".inner-menu-li").hide();
        });
        if (navigator.userAgent.match(/(iPod|iPhone|iPad)/)){
            $rootScope.iOSPlatform = true;
        }
        else{
            $rootScope.iOSPlatform = false;
        }
        $rootScope.showSidebar = false;        
        $rootScope.currentLocation = $location.path().substring(1);
        //$rootScope.devicePlatform = device.platform.toLowerCase();
        /*$(window).scrollTop(0);*/
        $rootScope.showLoader = false;
        $scope.message = 'Brainvire!';
        $rootScope.custom = true;
            switch($rootScope.currentLocation) {
                case 'about':
                    $rootScope.techImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.homeImg = false; 
                    $('.menu-option-text').css('color','#989898');
                    $('.homeLink').css('color','#00abe2');
                break;
                case 'technology':
                    $rootScope.homeImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.techImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.techLink').css('color','#00abe2');
                break;
                case 'industries':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.industryImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.industryLink').css('color','#00abe2');
                break;
                case 'portfolio':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.portImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.portLink').css('color','#00abe2');
                break;
                case 'product':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.portImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.prodImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.prodLink').css('color','#00abe2');
                break;
                case 'ouroffices':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.rqstImg = true;
                    $rootScope.contactImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.contactLink').css('color','#00abe2');
                break;
                case 'rqstQuote':
                    $rootScope.homeImg = true;
                    $rootScope.techImg = true;
                    $rootScope.portImg = true;
                    $rootScope.prodImg = true;
                    $rootScope.contactImg = true;
                    $rootScope.industryImg = true;
                    $rootScope.rqstImg = false;
                    $('.menu-option-text').css('color','#989898');
                    $('.rqstLink').css('color','#00abe2');
                break;
            }
        $scope.showInnerPanel = function (id) {
            if($(".innerPanelClass" + id).css('display') == 'none'){
                $(".tech-container").hide();
                $(".minusSign").hide();
                $(".plusSign").show();
                $(".innerPanelClass" + id).slideDown("slow", function () {
                    $('html, body').animate({
                        scrollTop: $(this).offset().top - 350
                    }, 100);
                });
            }
            else if($(".innerPanelClass" + id).css('display') == 'block'){
                $(".innerPanelClass" + id).slideUp("slow", function () {
                    $('html, body').animate({
                        scrollTop: $(this).offset().top - 350
                    }, 100);
                });
            }

            $("#plus" + id).toggle();
            $("#minus" + id).toggle();
        }
		
		$scope.showInnerPanela = function (id) {
            $(".innerPanelClassq" + id).slideToggle("slow", function () {
                $('html, body').animate({
                    scrollTop: $(this).offset().top - 200
                }, 1000);
            });
            $("#plus" + id).toggle();
            $("#minus" + id).toggle();
        }
        $scope.showInnerPanel1 = function (id) {
            if($(".innerPanelClasss" + id).css('display') == 'none'){
                $(".arrow-down").show();
                $(".arrow-up").hide();
                $("#minus"+id).show();
                $("#plus" + id).hide();
                $(".hide-panels").hide();
                $(".innerPanelClasss" + id).slideDown("slow", function () {
                    /*$('html, body').animate({
                        scrollTop: $("#panel1-about, #panel1-vision, #panel1-mission").offset().top - 150
                    }, 1000);*/
                });
            }
            /*$("#plus" + id).toggle();
            $("#minus" + id).toggle();*/
        }
        $scope.goToPage = function (page) {
            $rootScope.showList = false;
            $(".innerslider").hide();
            $('header').css('z-index',15);
            $('.wrapper').removeClass('ovh');
            $(".bs-example").hide();
            var contents = eval(page);
            $rootScope.industryHeader = contents.heading;
            $rootScope.industryIcon = contents.icon;
            $rootScope.content = contents.content;
            /*$rootScope.categories = eval(category);
            $rootScope.innerLiNumber = category;*/
            $location.path("/innerContent");
            $rootScope.$emit("popuplistCall", {});
        }

        $scope.redirectTo = function (redirectTo) {
            $rootScope.redirectTo = redirectTo;
        }
        /*$scope.backPage = function () {
            $location.path("/" + $rootScope.redirectTo);
        }*/
        $scope.redirectToPage = function (page) {
            $location.path('/' + page);
        }

    }
]);

bvApp.controller('abtcntrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $rootScope.headerText = "Home";
        /*if(!firstAttempt){
            $(".wrapper").hide();
            firstAttempt = true;
        }*/
        $(".abt-text, .service-img").click(function () {
            $(".inner-menu-li").hide();
        });
        $scope.showService = function(serviceName){
            //alert(serviceName);
            var text = eval(serviceName);
            //console.log(text.content);
            $rootScope.serviceHeader = text.header;
            $rootScope.serviceData = text.content;
            $location.path("/servicesContent");
        }
    }
]);

bvApp.controller('serviceContentCtrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $rootScope.headerText = "Home";
        setTimeout(function(){
            $('.app-dev-content').find('td').matchHeight(false);
            $('.firstCase').on('click',function(){
                var url = 'https://www.brainvire.com/best-system-cleaning-software/';
                var ref = window.open(url, '_system', 'location=yes');
            });
            $('.secondCase').on('click',function(){
                var url = 'https://www.brainvire.com/theme-integration-app-for-social-networking/';
                var ref = window.open(url, '_system', 'location=yes');
            });
            $('.thirdCase').on('click',function(){
                var url = 'https://www.brainvire.com/web-cms-based-news-media-portal-russian-citizens/';
                var ref = window.open(url, '_system', 'location=yes');
            });
            $('.fourthCase').on('click',function(){
                var url = 'https://www.brainvire.com/toolbar-for-local-business-directory/';
                var ref = window.open(url, '_system', 'location=yes');
            });
        },10);
    }
]);

bvApp.controller('tecCCtrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $rootScope.headerText = "Technologies";
        $(".p-content").click(function () {
            $(".inner-menu-li").hide();
        });
        $scope.showTechs = function(tech , list){
            $rootScope.techSelected = tech;
            $rootScope.techList = eval(list);//appsContentData;
            switch($rootScope.techSelected) {
                case 'Microsoft':
                    $rootScope.techName = 'Microsoft Technologies';
                break;
                case 'Opensource':
                    $rootScope.techName = 'Opensource Technologies';
                break;
                case 'Mobile':
                    $rootScope.techName = 'Mobile Technologies';
                break;
                case 'ECommerce':
                    $rootScope.techName = 'E-Commerce Technologies';
                break;
                case 'CMS':
                    $rootScope.techName = 'CMS Development';
                break;
                case 'crm':
                    $rootScope.techName = 'Customer Relationship Management Technologies';
                break;
                case 'mStack':
                    $rootScope.techName = 'MEAN-Stack Technologies';
                break;
                /*default:
                    default code block*/
            }
            if($rootScope.iOSPlatform && $rootScope.techSelected == 'Mobile'){
                var newTechList = [];
                angular.forEach($rootScope.techList, function(value, key){
                    if(value.techName != 'Android Application Development' && value.techName != 'Windows Mobile App Development'){
                        newTechList.push(value);
                    }
                });
                $rootScope.techList = newTechList;
            }
            $location.path("/technologyList");
        }
    }
]);
bvApp.controller('techListCtrl', ['$scope', '$http', '$rootScope', '$location', '$state',
    function ($scope, $http, $rootScope, $location, $state) {
        $rootScope.headerText = "Technologies";
        //$scope.techName = $rootScope.techName;
        $scope.fetchImages = function () {
            setTimeout(function () {
                for (var i = 0; i < $rootScope.techList.length; i++) {
                    $('.techList' + i).attr('src', $rootScope.techList[i].icon);
                }
                var appLink = $('.technologies-container').children('.col-xs-6').length;
                if(appLink == 1){
                    $('.technologies-container').children('.col-xs-6').css('width','100%');
                }
            }, 10);
        }

        $scope.showTechContent = function(technology, index){
            $rootScope.industryHeader = technology.heading;
            //$rootScope.technologySelectedIndex = index;
            //console.log(content, index)
            //$rootScope.industryIcon = technology.icon;
            $rootScope.industryIcon = technology.icon;
            $rootScope.content = technology.content;
            $location.path('/innerContent');
            //$state.go("/innerContent");
        }
        /*$scope.showAppContent = function(app , index){
            $rootScope.appSelected = app;
            $rootScope.selectedIndex = index;
            $location.path("/appContent");
        }
        $scope.openLink = function(url){
            var ref = window.open(url, '_system', 'location=yes');
        }
        $scope.loadStoreIcon = function () {
            $('.storeIconImg').attr('src', $rootScope.appLists[$rootScope.selectedIndex].storeIcon);
            $('.scrnshtImg>img').attr('src',$rootScope.appLists[$rootScope.selectedIndex].screenshot);
            $('.imgScrnsht>img').attr('src',$rootScope.appLists[$rootScope.selectedIndex].webscreenshot);
        }*/
    }
]);
bvApp.controller('industryCtrl',['$scope','$http','$rootScope','$location',
    function($scope, $http, $rootScope, $location){
        $rootScope.headerText = "Industries";
        $rootScope.techName = 'Industries';
        $rootScope.techSelected = $rootScope.headerText;
    }
]);
bvApp.controller('productCtrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $rootScope.headerText = "Products";
        $rootScope.techName = 'Products';
        $rootScope.techSelected = $rootScope.headerText;
    }
]);
bvApp.controller('subCCtrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $("#appendList li").css("display", "none");
        $(".innerLi" + $rootScope.innerLiNumber).css("display", "block");
        $scope.innerContentLoad = function(){
            var popupListings = 'popupList.'+$rootScope.techSelected;
            $scope.popupList = eval(popupListings);
            if($rootScope.iOSPlatform && $rootScope.techSelected == 'Mobile'){
                var newPopupList = [];
                angular.forEach($scope.popupList, function(value, key){
                    if(value.techName != 'Android Application Development' && value.techName != 'Windows Mobile App Development'){
                        newPopupList.push(value);
                    }
                });
                $scope.popupList = newPopupList;
            }
            $scope.popListLinks();
        }
        $scope.popListLinks = function(){
                setTimeout(function (){
                    if($scope.popupList.length == 1){
                        $('.popup-list').css('width','100%');
                    }
                    else if($scope.popupList.length == 2){
                        $('.popup-list').css('width','50%');
                    }
                    else{
                        $('.popup-list').css('width','33.33%');
                    }

                    $('.bvpos').on('click',function(){
                        var url = 'http://bvpos.ecomextension.com/webpos/index/index/?___store=bafd';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.marketDemo').on('click',function(){
                        var url = 'https://www.youtube.com/embed/P0Dn9DjXkFU';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.marketFeatures').on('click',function(){
                        var url = 'https://www.brainvire.com/wp-content/uploads/Multivendor-Marketplace-Features.pdf';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.hrmsEmployeeDemo').on('click',function(){
                        var url = 'http://dnn.brainvire.com/bvessdemo?role=emp';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.hrmsManagerDemo').on('click',function(){
                        var url = 'http://dnn.brainvire.com/bvessdemo?role=manager';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.hrmsTravelDemo').on('click',function(){
                        var url = 'http://dnn.brainvire.com/bvessdemo?role=travel';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.hrmsHRDemo').on('click',function(){
                        var url = 'http://dnn.brainvire.com/bvessdemo?role=hr';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.hrmsAssetMgrDemo').on('click',function(){
                        var url = 'http://dnn.brainvire.com/bvessdemo?role=asset';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.hrmsPdf').on('click',function(){
                        var url = 'https://www.brainvire.com/wp-content/uploads/Brainvre-HRMS-Features-v1.0-1.pdf';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.hrmsLiveDemo').on('click',function(){
                        var url = 'https://www.youtube.com/watch?v=9hgDbMM7nLo';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.diskTuneDemo').on('click',function(){
                        var url = 'https://www.brainvire.com/disk-tuneup/#jotcall_video_pop';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.magentoExtnWebsite').on('click',function(){
                        var url = 'https://www.ecomextension.com/';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.travelEcomFeatures').on('click',function(){
                        var url = 'https://www.brainvire.com/wp-content/uploads/TraveleCommerceSystem.pdf';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.openfbDemo').on('click',function(){
                        var url = 'https://www.brainvire.com/open-feedback#open_feedback';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.openfbFeatures').on('click',function(){
                        var url = 'https://www.brainvire.com/wp-content/uploads/Open-Feedback-System-Features.pdf';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.dNNWeb').on('click',function(){
                        var url = 'http://dnnextension.com/';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.ecomMobileApp').on('click',function(){
                        var url = 'https://itunes.apple.com/us/app/tramento/id867432431?ls=1&mt=8';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.jotWeb').on('click',function(){
                        var url = 'http://www.jotcall.com/';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.jotWeb').on('click',function(){
                        var url = 'http://www.jotcall.com/';
                        var ref = window.open(url, '_system', 'location=yes');
                    });
                    $('.jotDemo').on('click',function(){
                        var url = 'https://www.youtube.com/watch?v=EfQ_wRJ4dhQ';
                        var ref = window.open(url, '_system', 'location=yes');
                    });

                    if($rootScope.iOSPlatform){
                        $('.pinLogueApp').on('click',function(){
                            var url = 'https://itunes.apple.com/us/app/pinlogue-your-social-travel/id690053137?mt=8';
                            var ref = window.open(url, '_system', 'location=yes');
                        });
                        $('.jotApp').hide();
                    }
                    else{
                        $('.pinLogueApp').on('click',function(){
                            var url = 'https://play.google.com/store/apps/details?id=com.brainvire.pinlogue';
                            var ref = window.open(url, '_system', 'location=yes');
                        });
                        $('.jotApp').on('click',function(){
                            var url = 'https://play.google.com/store/apps/details?id=com.brainvire.call';
                            var ref = window.open(url, '_system', 'location=yes');
                        }); 
                    }
                    var appLink = $('.app-links-container').children('.col-xs-6').length;
                    if(appLink == 1){
                        $('.app-links-container').children('.col-xs-6').css('width','100%');
                    }
                },250);
            }
        $scope.showUL = function () {
            $rootScope.showList = true;
            $('.list-container').animate({
                scrollTop: 0
            }, 10);
            $(".innerslider").show();
            $('header').css('z-index',0);
            $('.wrapper').addClass('ovh');
        }
        $(".clsText , #appendList li, .hdr-data, .headerLogo, .menu-li, .list-background, .popup-close").click(function () {
            $rootScope.showList = false;
            $(".innerslider").hide();
            $('header').css('z-index',15);
            $('.wrapper').removeClass('ovh');
            /*$(window).scroll(function () {
                if ($(this).scrollTop() > 0) {
                    $(".innerslider").hide();
                }
            });*/
        });
        $rootScope.$on("popuplistCall", function(){
           $scope.popListLinks();
        });
    }
]);
bvApp.controller('portfolioCtrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $rootScope.headerText = "Portfolio";
        /*$scope.devicePlatform = device.platform;
        if($scope.devicePlatform == 'iOS'){
            $scope.iOSPlatform = true;
        }else{
            $scope.iOSPlatform = false;
        }*/
        
        $scope.showApps = function(platform , list){
            $rootScope.platformSelected = platform;
            $rootScope.appLists = eval(list);//appsContentData;
            if($rootScope.iOSPlatform){
                if($rootScope.platformSelected == 'Games'){
                    var newAppLists = [];
                    angular.forEach($rootScope.appLists, function(value, key){
                        if(value.appName != 'VegasSports'){
                            newAppLists.push(value);
                        }
                    });
                    $rootScope.appLists = newAppLists;
                }
                else if($rootScope.platformSelected == 'MEAN-Stack'){
                    var newAppLists = [];
                    angular.forEach($rootScope.appLists, function(value, key){
                        if(value.appName != 'ZeroHarm'){
                            newAppLists.push(value);
                        }
                    });
                    $rootScope.appLists = newAppLists;
                }
            }
            $location.path("/appList");
            $rootScope.headerText = platform;
        }
        $scope.openLink = function(url){
            var ref = window.open(url, '_system', 'location=yes');
        }
        $scope.loadStoreIcon = function () {
            $('.storeIconImg').attr('src', $rootScope.appLists[$rootScope.selectedIndex].storeIcon);
            $('.scrnshtImg>img').attr('src',$rootScope.appLists[$rootScope.selectedIndex].screenshot);
            $('.imgScrnsht>img').attr('src',$rootScope.appLists[$rootScope.selectedIndex].webscreenshot);
        }
    }
]);
bvApp.controller('appListCtrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $rootScope.headerText = $rootScope.platformSelected;
        var deviceHeight = parseInt($(window).height());
        var wrapperHeight = deviceHeight - 50;
        $('.wrapper').css('height',wrapperHeight);
        $scope.fetchImages = function () {
            setTimeout(function () {
                for (var i = 0; i < $rootScope.appLists.length; i++) {
                    $('.imageApps' + i).attr('src', $rootScope.appLists[i].icon);
                }
            }, 100);
        }
        $scope.showAppContent = function(app , index){
            $rootScope.appSelected = app;
            $rootScope.selectedIndex = index;
            $location.path("/appContent");
        }
    }
]);
bvApp.controller('appContentCtrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $rootScope.headerText = $rootScope.platformSelected;
        $scope.openLink = function(url){
            var ref = window.open(url, '_system', 'location=yes');
        }
        $scope.loadStoreIcon = function () {
            $('.storeIconImg').attr('src', $rootScope.appLists[$rootScope.selectedIndex].storeIcon);
            $('.scrnshtImg>img').attr('src',$rootScope.appLists[$rootScope.selectedIndex].screenshot);
            $('.imgScrnsht>img').attr('src',$rootScope.appLists[$rootScope.selectedIndex].webscreenshot);
        }
        $scope.appContentLoad = function(){
            switch($rootScope.appSelected) {
                case 'Crazy Wheel - Match Arrow With The Correct Colour':
                    if($rootScope.iOSPlatform){
                        $('.storeIconImg').attr('src','images/apple-icon.png');
                        appsContentData.games[0].storeLink = 'https://itunes.apple.com/us/app/crazy-wheel-match-arrowcorrect/id986248473?ls=1&mt=8';
                    }
                    else{
                        $('.storeIconImg').attr('src','images/android-icon.png');
                        appsContentData.games[0].storeLink = 'https://play.google.com/store/apps/details?id=com.bv.crazywheel';
                    }
                break;
                case 'Careington':
                    if($rootScope.iOSPlatform){
                        $('.storeIconImg').attr('src','images/apple-icon.png');
                        appsContentData.meanStack[3].storeLink = 'https://itunes.apple.com/us/app/uniconsulta/id1072824459?mt=8';
                    }
                    else{
                        $('.storeIconImg').attr('src','images/android-icon.png');
                        appsContentData.meanStack[3].storeLink = 'https://play.google.com/store/apps/details?id=com.uniconsulta.app&hl=en';
                    }
                break;
                case 'My Career':
                    if($rootScope.iOSPlatform){
                        $('.storeIconImg').attr('src','images/apple-icon.png');
                        appsContentData.meanStack[1].storeLink = 'https://itunes.apple.com/in/app/mycareer-recruiter/id1122433135?mt=8';
                    }
                    else{
                        $('.storeIconImg').attr('src','images/android-icon.png');
                        appsContentData.meanStack[1].storeLink = 'https://play.google.com/store/apps/details?id=com.mycareer.mycareerrecruiter&hl=en';
                    }
                break;
                case 'Admission Desk':
                    if($rootScope.iOSPlatform){
                        $('.storeIconImg').attr('src','images/apple-icon.png');
                        appsContentData.meanStack[0].storeLink = '';
                    }
                    else{
                        $('.storeIconImg').attr('src','images/android-icon.png');
                        appsContentData.meanStack[0].storeLink = 'https://play.google.com/store/apps/details?id=com.admissiondesk.app&hl=en';
                    }
                break;
                case 'Body Lab':
                    if($rootScope.iOSPlatform){
                        $('.storeIconImg').attr('src','images/apple-icon.png');
                        appsContentData.meanStack[2].storeLink = 'https://itunes.apple.com/us/app/bodylab/id917778846?mt=8';
                    }
                    else{
                        $('.storeIconImg').attr('src','images/android-icon.png');
                        appsContentData.meanStack[2].storeLink = 'https://play.google.com/store/apps/details?id=com.myfreediet.bodylab&hl=en';
                    }
                break;
                case 'ZeroHarm':
                    if($rootScope.iOSPlatform){
                        appsContentData.meanStack[5].storeLink = '';
                    }
                break;
                case 'VegasSports':
                    if($rootScope.iOSPlatform){
                        appsContentData.games[2].storeLink = '';
                    }
                break;
                case 'SAP at Gitex 2013':
                    if($rootScope.iOSPlatform){
                        appsContentData.wp[9].storeLink = '';
                    }
                break;
                /*default:
                    default code block*/
            }
            setTimeout(function(){
                var appLink = $('.app-links-container').children('.ng-hide').length;
                if(appLink == 3){
                    $('.app-links-container').children('.col-xs-6').css('width','100%');
                    //$('.app-links-container').children('.col-xs-6').css('border','none');
                }
            },10)
        }
    }
]);
bvApp.controller('ourOfcCtrl', ['$scope', '$http', '$rootScope', '$location',
    function ($scope, $http, $rootScope, $location) {
        $rootScope.headerText = "Our Offices";
        $scope.locationList = locations;
        var deviceHeight = parseInt($(window).height());
        var mapHeight = deviceHeight - 50;
        $('.map-wrapper').css('height',mapHeight);
        $('.map-container').gmap().bind('init', function(ev, map) {
            $('.map-container').gmap('addMarker',{
                'position': '19.144749,72.8532877',
                'bounds': true
            },function(map, marker) {
                map.set('zoom', 15);
            }).click(function() {
                $('.map-container').gmap('openInfoWindow', {'content': 'E 701 Lotus Corporate Park, Laxmi Nagar, Western Express Highway, Goregaon (E), Mumbai, Maharashtra 400063'}, this);
            });
        });
        $scope.showLocations = function(index){
            var thisLocation = index+1;
            $("#locations").find("li").css("background","#009dd9");
            $("#locations").find("li:nth-child("+thisLocation+")").css("background","#006797");
            var newPos = locations[index].coordinates;
            var newLatLng = newPos.split(",");
            var newLat = parseFloat(newLatLng[0]);
            var newLng = parseFloat(newLatLng[1]);
            var center = new google.maps.LatLng(newLat,newLng);
            var addres = locations[index].address;
            $('.map-container').gmap('clear', 'markers');
            $(".map-container").gmap('addMarker', {
                'position': newPos, 
                'bounds': true,
            }, function(map, marker) {
                map.set('zoom', 15);
                map.set('center', center);
            }).click(function() {
                $('.map-container').gmap('openInfoWindow', { 'content': addres }, this);
            });
        }
    }
]);

bvApp.controller('rqstQuoteCtrl',['$scope', '$http', '$rootScope', '$location', '$timeout', 'fileUpload',
    function ($scope, $http, $rootScope, $location, $timeout, fileUpload){
        $rootScope.headerText = "Request Quote";
        $scope.submitted = false;
        $scope.binaryString = '';
        $scope.fileType = '';
        $scope.fileName = '';
        var handleFileSelect = function(evt) {
            var files = evt.target.files;
            var file = files[0];
            if (files && file) {
                $scope.fileName = file.name;
                $scope.fileType = file.type;
                /*var reader = new FileReader();
                reader.onload = function(readerEvt) {
                    $scope.binaryString = btoa(readerEvt.target.result);
                    //document.getElementById("base64textarea").value = btoa(binaryString);
                };
                reader.readAsBinaryString(file);*/
            }
            $scope.fileName = file.name;
            if (!$rootScope.$$phase) $rootScope.$apply();
        }
        if (window.File && window.FileReader && window.FileList && window.Blob) {
            document.getElementById('filePicker').addEventListener('change', handleFileSelect, false);
        } 
        else {
            //console.log('The File APIs are not fully supported in this browser.');
        }

        $scope.submitQuote = function(){
            $scope.submitted = true;
            if($scope.rqstQuoteForm.$valid){
                $rootScope.showLoader = true;
                $('.wrapper').addClass('ovh');
                var authUsername = 'bvinew';
                var authPassword = 'Bvinew@2015';
                $scope.oauth = 'Basic '+btoa(authUsername+ ':'+ authPassword);
                var params = "name="+$scope.userName+"&email="+$scope.userEmail+"&phone="+$scope.userPhn+"&detail="+$scope.prjctDetails;
                var file = $scope.myFile;
                fileUpload.uploadFileToUrl(file, {
                    'Authorization': $scope.oauth,
                    'Content-Type': undefined
                }, "https://www.brainvire.com/api/user/reqest_a_quote_api/?" + params, function(response) {
                    $rootScope.showLoader = false;
                    $('.wrapper').removeClass('ovh');

                    // reset form
                    $scope.submitted = false;
                    $scope.userName = '';
                    $scope.userEmail = '';
                    $scope.userPhn = '';
                    $scope.prjctDetails = '';
                    $scope.fileName = '';
                    $scope.myFile = {};
                    // response message display
                    $("#responseDisplay").text(response.success);
                }, function(response) {
                    $rootScope.showLoader = false;
                    $('.wrapper').removeClass('ovh');
                    // responses message display
                    $("#responseDisplay").text(response.error);
                });
            }
            else{
                //console.log("UI validation error");
            }
        }
    }
]);


bvApp.directive('fileModel', ['$parse', function($parse) {
    return {
        restrict: 'A',
        link: function(scope, element, attrs) {
            var model = $parse(attrs.fileModel);
            var modelSetter = model.assign;

            element.bind('change', function() {
                scope.$apply(function() {
                    modelSetter(scope, element[0].files[0]);
                });
            });
        }
    };
}]);

bvApp.service('fileUpload', ['$http', function($http) {
    this.uploadFileToUrl = function(file, headers, uploadUrl, successCallback, errorCallback) {
        var fd = new FormData();
        fd.append('file', file);

        $http.post(uploadUrl, fd, {
            transformRequest: angular.identity,
            headers: headers
        }).success(successCallback).error(errorCallback);
    }
}]);